/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/


/* Hide header/footer in maintenance */

.elementor-maintenance-mode .elementor-location-header, .elementor-maintenance-mode .elementor-location-footer {
	display: none;
}

/* Color selection and set standard QOL for texts */
p::selection, div::selection, li::selection, em::selection, u::selection, a::selection, h1::selection, h2::selection, h3::selection, h4::selection, h5::selection, strong::selection, br::selection, span::selection {
background: var( --e-global-color-146a0dd ) !important;
color: #ffffff !important;
}

h1, h2, h3, h4, h5, h6 {
hyphens: auto;
word-wrap: break-word;
overflow-wrap: break-word;
line-break: strict;
-webkit-hyphens: auto; /* Support for older WebKit browsers */
-ms-hyphens: auto; /* Support for older Microsoft browsers */
}

.current_page_ancestor > a {
	color: var( --e-global-color-32acc72 );
}

#header-menu .sub-menu li {
	transition: all .3s ease-in-out !important;
}

#header-menu .sub-menu li:hover > a, 
#header-menu .sub-menu .current_page_item > a,
#header-menu .sub-menu .current_page_ancestor > a {
	background-color: var(--e-global-color-146a0dd) !important;
	color: var(--e-global-color-accent) !important;
}

#header-menu .elementor-nav-menu--main > .elementor-nav-menu > li:not(:last-child) > a:after {
	content:"/";
	position: absolute;
	right: 0px;
	opacity: 1 !important;
}

#header-menu .elementor-sub-item {
	line-height: 25px !important;
}

.centered-image-text-galleries img {
    aspect-ratio: 1/1;
    object-fit:cover;
    max-width:100%;
}

.centered-image-text-galleries .swiper-slide-inner {
    position:relative;
}

.centered-image-text-galleries figcaption {
    position:absolute;
	top: 50%;
	transform: translateY(-50%);
    width: 60%;
    margin: auto;
    background-color: rgba(0, 0, 0, 0.6);
    margin-left: 20%;
    margin-right: 20%;
}

.centered-image-text-galleries i {
	background-color: rgba(0, 0, 0, 0.6);
}

/* Funky grids */

.markiser-grid-cta .elementor-cta__content {
	padding: 15px !important;
}

.markiser-grid-cta .elementor-cta__button {
	font-size: 15px !important;
	padding: 10px 25px !important;
	font-family: var( --e-global-typography-text-font-family ), Sans-serif !important;
	text-transform: capitalize !important;
	border: initial !important;
	background-color: var( --e-global-color-primary ) !important;
	color: var( --e-global-color-accent ) !important;
}

.markiser-grid-cta .elementor-cta__title {
	font-size: 16px;
	font-family: var( --e-global-typography-text-font-family ), Sans-serif !important;
	text-transform: capitalize !important;
}

.product-catalogue-external .markiser-grid-cta .elementor-cta__bg-wrapper .elementor-cta__bg {
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

/* Front page hero slideshow */

.front-page-carousel .elementor-widget-text-editor strong {
	font-weight: 400 !important;
	color: var( --e-global-color-primary ) !important;
}

.front-page-carousel .elementor-swiper-button-prev svg, .front-page-carousel .elementor-swiper-button-next svg {
	transition: transform 300ms ease-in-out;
}

.front-page-carousel .elementor-swiper-button-prev:hover svg, .front-page-carousel .elementor-swiper-button-next:hover svg {
	transform: scale(1.3) !important;
}

/* JetForms */

.jet-form-builder-row {
	align-self: start;
	flex: 1;
}

.jet-form-builder-repeater__row-remove {
	align-self: center !important;
}

.jet-form-builder-repeater__remove {
	line-height: normal;
    padding: 10px 20px;
}

.jet-form-builder__desc {
	font-size: 12px;
	line-height: 12px;
}

.jet-form-builder-repeater__new, .jet-form-builder__action-button, .jet-form-builder-repeater__remove {
	border: initial !important;
}

.jet-form-builder__submit {
	margin: 30px 0px;
}

@media screen and (min-width: 1560px) {
	.front-page-carousel .elementor-swiper-button-prev {
		left: calc(50vw - 800px) !important;
	}
	.front-page-carousel .elementor-swiper-button-next {
		right: calc(50vw - 800px) !important;
	}
	.product-catalogue-external .markiser-grid-cta .elementor-cta__bg-wrapper {
		min-height: 400px;
	}
}

@media screen and (max-width: 1559px) {
	.product-catalogue-external .markiser-grid-cta .elementor-cta__bg-wrapper {
		min-height: 300px;
	}
}

@media screen and (max-width: 760px) {
	body {
		overflow-x: hidden !important;
	}
}

/* sne effekt start */

.sne-effekt {
	background-blend-mode: soft-light;
}

@media screen and (max-width: 767px) {
	.sne-effekt>.vc_col-sm-12>.vc_column-inner {
		padding-left: 50px !important;
	}
}

#sne-effekt:before, .elementor-page-12755 .banner-quote-section:before {
	position: absolute;
	height: 100%;
	width: 100vw;
	top: 0;
	bottom: 0;
	content: '';
	left: 0;
	right: 0;
	padding: 0 !important;
	margin: 0 !important;
	background-image: url("/wp-content/uploads/sne-for.png"), url("/wp-content/uploads/sne-bag.png") !important;
	animation: snow 20s linear infinite;
	z-index: 10;
	pointer-events: none;
	touch-action: initial;
}

@keyframes snow {
	0% {
		background-position: 0px 0px, 0px 0px, 0px 0px
	}
	100% {
		background-position: 500px 1000px, 400px 400px, 300px 300px
	}
}

.effect-snow {
	background-image: url("/wp-content/uploads/sne-for.png"), url("/wp-content/uploads/sne-bag.png");
	animation: snow 20s linear infinite
}


/* sne effekt slut herover */
